Bug 492991 - Review Request: mediawiki-InputBox - An extension to enable input box tags for mediawiki pages
Review Request: mediawiki-InputBox - An extension to enable input box tags fo...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Nalley
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-31 01:15 EDT by John Guthrie
Modified: 2009-04-23 15:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-23 15:24:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
david: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description John Guthrie 2009-03-31 01:15:00 EDT
Spec URL: http://www.guthrie.info/RPMS/f10/mediawiki-InputBox.spec
SRPM URL: http://www.guthrie.info/RPMS/f10/mediawiki-InputBox-0-0.1.20090331svn.fc10.src.rpm
Description: The InputBox extension is a MediaWiki extension which adds already created HTML forms to wiki pages. Users can "complete" a form (entering text, selecting menu items, etc.) by entering text into the box.

InputBox was originally created by Erik Moeller for the purpose of adding a Create an article box to Wikinews.
Comment 1 David Nalley 2009-04-06 20:55:58 EDT
John: This looks pretty good except that the md5sum doesn't match on one of the files. You can see in the comments below. 

Thanks

OK: rpmlint must be run on every package. The output should be posted in the review.
[ke4qqq@localhost SPECS]$ rpmlint ./mediawiki-InputBox.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@localhost SPECS]$ rpmlint ../SRPMS/mediawiki-InputBox-0-0.1.20090331svn.fc11.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@localhost SPECS]$ rpmlint ../RPMS/noarch/mediawiki-InputBox-0-0.1.20090331svn.fc11.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: The spec file must be written in American English.
OK: The spec file for the package MUST be legible. 
FAIL: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

Notice the different md5sums for InputBox.il8n.php - I downloaded from the url in the spec 3 times and garnered the same response. 

From downloaded source: 
767990d83bf15ab24812440ec2d36b29  ./InputBox.classes.php
8f95f91119bd305fbbdf1aa60b6497dc  ./InputBox.hooks.php
c5fd1f2c2ed152150486598787d6609b  ./InputBox.i18n.php
786bb83ce1062752ca00afbe759efb59  ./InputBox.php


From SRPM:
767990d83bf15ab24812440ec2d36b29  ./InputBox.classes.php
8f95f91119bd305fbbdf1aa60b6497dc  ./InputBox.hooks.php
2c9ddbe63c16accb24f8e380be6b7d79  ./InputBox.i18n.php
786bb83ce1062752ca00afbe759efb59  ./InputBox.php



OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
This builds in at least x86_64 and x86

N/A: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
N/A: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

No real build section so not applicable. 

N/A: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
N/A: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
N/A: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. 
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings.
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
OK: Each package must consistently use macros.
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). 
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
N/A: Header files must be in a -devel package. 
N/A: Static libraries must be in a -static package. 
N/A: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). 
N/A: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. 
N/A: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
N/A: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
N/A: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. 
OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: All filenames in rpm packages must be valid UTF-8.
Comment 2 John Guthrie 2009-04-20 02:13:27 EDT
I fixed the URLs that are listed in the spec file for obtaining the source code.  I think that what I had before always gave you the HEAD version of the code.  It should now give you a specific version (the version that I am using).  I also updated to the latest version while I was at it.

Here are the URLS for the new spec file and SRPM:
http://www.guthrie.info/RPMS/f10/mediawiki-InputBox.spec
http://www.guthrie.info/RPMS/f10/mediawiki-InputBox-0-0.2.20090420svn.fc10.src.rpm
Comment 3 David Nalley 2009-04-21 08:53:46 EDT
Hi John, 

That indeed fixed the issue and checksums match now. 

You should be able to request CVS now. 

Thanks
Comment 4 John Guthrie 2009-04-22 17:39:29 EDT
New Package CVS Request
=======================
Package Name: mediawiki-InputBox
Short Description: An extension to enable input box tags for mediawiki pages
Owners: guthrie
Branches: F-9 F-10 F-11
InitialCC:
Comment 5 Kevin Fenzi 2009-04-23 12:32:08 EDT
cvs done.
Comment 6 John Guthrie 2009-04-23 15:24:44 EDT
All builds have completed successfully.

Note You need to log in before you can comment on or make changes to this bug.